Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.msoffice
Class MSOfficeMetadataSequencer

    java.lang.Object
      org.modeshape.sequencer.msoffice.MSOfficeMetadataSequencer

All Implemented Interfaces:
  StreamSequencer

    public class MSOfficeMetadataSequencer

extends Object
implements StreamSequencer

A sequencer that processes the content of an MS Office document, extracts the metadata for the file, and then writes that metadata to the repository.

This sequencer produces data that corresponds to the following structure:

- msoffice:metadata node of type `msoffice:metadata`
  - msoffice:title optional string property for the title of the documnt
  - msoffice:subject optional string property for the subject of the document
  - msoffice:author optional string property for the author of the document
  - msoffice:keywords optional string property for the document keywords
  - msoffice:comment optional string property for the document comment
  - msoffice:template optional string property for the template from which this document originates
  - msoffice:last_saved_by optional string property for the person that last saved this document
  - msoffice:revision optional string property for this document revision
  - msoffice:total_editing_time optional long property for the length this document has been edited
  - msoffice:last_printed optional date property for the date of last printing this document
  - msoffice:created date property for the date of creation of the document
  - msoffice:saved date property for the date of last save of this document
  - msoffice:pages long property for the number of pages of this document
  - msoffice:words long property for the number of words in this document
  - msoffice:characters long property for the number of characters in this document
  - msoffice:creating_application string property for the application used to create this document
  - msoffice:thumbnail optional binary property for the thumbanail of this document
  - msoffice:full_contents optional String property holding the text contents of an excel file
  - msoffice:sheet_name optional String property for the name of a sheet in excel (multiple)
- msoffice:slide node of type `msoffice:pptslide`
  - msoffice:title optional String property for the title of a slide
  - msoffice:notes optional String property for the notes of a slide
  - msoffice:text optional String property for the text of a slide
  - msoffice:thumbnail optional binary property for the thumbnail of a slide (PNG image)

Constructor Summary
`MSOfficeMetadataSequencer()`

Method Summary
`protected void` | `recordMetadata(SequencerOutput output, StreamSequencerContext context, Path metadataNode, MSOfficeMetadata metadata)`
`void` | `sequence(InputStream stream, SequencerOutput output, StreamSequencerContext context)` Sequence the data found in the supplied stream, placing the output information into the supplied map.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MSOfficeMetadataSequencer

    public MSOfficeMetadataSequencer()

Method Detail

### sequence

    public void sequence(InputStream stream,
                         SequencerOutput output,
                         StreamSequencerContext context)

  Sequence the data found in the supplied stream, placing the output information into the supplied map.

  ModeShape's SequencingService determines the sequencers that should be executed by monitoring the changes to one or more workspaces that it is monitoring. Changes in those workspaces are aggregated and used to determine which sequencers should be called. If the sequencer implements this interface, then this method is called with the property that is to be sequenced along with the interface used to register the output. The framework takes care of all the rest.

  Specified by:
    `sequence` in interface `StreamSequencer`
  Parameters:
    `stream` - the stream with the data to be sequenced; never `null`
    `output` - the output from the sequencing operation; never `null`
    `context` - the context for the sequencing operation; never `null`

### recordMetadata

    protected void recordMetadata(SequencerOutput output,
                                  StreamSequencerContext context,
                                  Path metadataNode,
                                  MSOfficeMetadata metadata)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.